#ifndef INCLUDE__LLVMBasicBlock_hxx
#define INCLUDE__LLVMBasicBlock_hxx

#include "disassembler/BasicBlock.hxx"

class LLVMDisassembler;

class LLVMBasicBlock : public BasicBlock {
public:
	LLVMBasicBlock(uint64_t start_address, LLVMDisassembler * disassembler) {
		setStartAddress(start_address);
	}

	LLVMDisassembler * getDisassembler() {
		return disassembler;
	}

private:
	LLVMDisassembler * disassembler;
};


#endif
